
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: nspr: fix assumptions about jmp_buf layout on ARM EABI

This patch fixes assumptions about the glibc-internal jmp_buf
structure made in nspr's ARM support code (this structure has
changed layout in EABI.)

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/nspr.spec
===================================================================
--- SPECS.orig/nspr.spec
+++ SPECS/nspr.spec
@@ -1,7 +1,7 @@
 Summary:	Netscape Portable Runtime
 Name:		nspr
 Version:	4.6.7
-Release:	3%{?dist}
+Release:	3%{?dist}.fa1
 License:	MPLv1.1 or GPLv2+ or LGPLv2+
 URL:		http://www.mozilla.org/projects/nspr/
 Group:		System Environment/Libraries
@@ -14,6 +14,7 @@ Patch1:         nspr-config-pc.patch
 Patch2:         nspr-ipv6-numerichost.patch
 Patch3:         nspr-thread-cleanup.patch
 Patch4:         nspr-static-assert.patch
+Patch5:		nspr-4.6.6-arm.patch
 
 Provides:	mozilla-nspr
 Obsoletes:	mozilla-nspr
@@ -51,6 +52,7 @@ cp ./mozilla/nsprpub/config/nspr-config.
 %patch2 -p0
 %patch3 -p0
 %patch4 -p0
+%patch5 -p0
 
 cp %{SOURCE2} ./mozilla/nsprpub/config/
 
